Package com.sun.jna.platform.unix

# Interface X11.Xrender

All Superinterfaces:
  `Library`

Enclosing interface:
  X11

public static interface X11.Xrender extends Library
Definition (incomplete) of the Xrender library.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `X11.Xrender.PictFormat`
  `static class`
  `X11.Xrender.XRenderDirectFormat`
  `static class`
  `X11.Xrender.XRenderPictFormat`

  ## Nested classes/interfaces inherited from interface com.sun.jna.Library

  `Library.Handler`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final X11.Xrender`
  `INSTANCE`
  `static final int`
  `PictTypeDirect`
  `static final int`
  `PictTypeIndexed`

  ### Fields inherited from interface com.sun.jna.Library

  `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X11.Xrender.XRenderPictFormat`
  `XRenderFindVisualFormat(X11.Display display, X11.Visual visual)`

- ## Field Details

  - ### INSTANCE

    static final X11.Xrender INSTANCE

  - ### PictTypeIndexed

    static final int PictTypeIndexed
    See Also:
      - Constant Field Values

  - ### PictTypeDirect

    static final int PictTypeDirect
    See Also:
      - Constant Field Values

- ## Method Details

  - ### XRenderFindVisualFormat

    X11.Xrender.XRenderPictFormat XRenderFindVisualFormat(X11.Display display, X11.Visual visual)